The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"У 60% пользователей установлены уязвимые версии Java. F..."
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"У 60% пользователей установлены уязвимые версии Java. F..."  +/
Сообщение от opennews (??) on 03-Апр-12, 18:49 
В последнее время браузерный Java-плагин становится (http://krebsonsecurity.com/2012/03/new-java-attack-rolled-in.../) одной из основных целей атак вредоносного ПО на пользовательские системы. По данным Oracle Java используется на более чем на 3 миллиардах систем, при этом исследователи безопасности из компании Rapid7 пришли к неутешительному выводу - на 60-80 процентах компьютеров используются устаревшие версии Java, в которых содержатся критические уязвимости.


В течение месяца после выхода очередного обновления Java на него переходят только около 10% пользователей, по истечение двух месяцев число обновивших Java пользователей достигает 20%, а спустя три месяца - 30%. Более того, несмотря на то, что последнее обновление Java вышло полтора месяца назад, пользователи Java-пакета для Mac OS X по прежнему не получили исправлений безопасности и вынуждены пользоваться заведомо уязвимым продуктом.


Подобным халатным отношением активно пользуются создатели  различных типов вредоносного ПО. Добавление эксплоитов против против Java в пакет BlackHole, привело к росту числа поражающих Java вредоносных программ. В частности, новая версия Flashback, вредоносного ПО, поражающего системы Mac OS X, уже содержит (https://www.f-secure.com/weblog/archives/00002341.html) код для проникновения на системы пользователей через неисправленную уязвимость в Java-пакете, поддерживаемом компанией Apple.
Компанией Oracle уязвимость(CVE-2012-0507) была устранена ещё 15 февраля, путем выпуск обновлений Java SE 6 Update 31 и 7 Update 3, в то время как Java для Mac OS X по прежнему базируется на Java SE 6 Update 29. Обнаружить следы проникновения Flashback можно оценив наличие директории "~/.jupdate" и файла "~/Library/LaunchAgents/com.java.update.plist".


Пользователи последней версии Java-плагина на других системах также не могут ощущать себя защищёнными. Опасение вызывает обсуждение и попытки продажи 0-day эксплоитов для поражения еще неисправленных уязвимостей в Java. Там не менее, подобные эксплоиты пока не попали в руки исследователей, поэтому информация остаётся неподтверждённой.


Тем временем разработчики проекта Mozilla приняли решение (http://blog.mozilla.com/addons/2012/04/02/blocking-java/) блокировать в Firefox все старые версии Java-плагина, в которых содержатся известные уязвимости. В частности, в список блокировки (https://addons.mozilla.org/en-US/firefox/blocked/p80) занесены версии  Java до  6 Update 30 и 7 Update 2 включительно. Для платформы Mac OS X планируется полностью заблокировать работу Java-плагина, до момента выхода обновления c устранением узявимостей.


URL: http://krebsonsecurity.com/2012/03/new-java-attack-rolled-in.../
Новость: http://www.opennet.ru/opennews/art.shtml?num=33521

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  –9 +/
Сообщение от Аноним email(??) on 03-Апр-12, 18:49 
Файрфокс получит денег от Оracle, а разрабы буду вынуждены переписывать софт на новые версии.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

17. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от h31 (ok) on 03-Апр-12, 19:49 
> а разрабы буду вынуждены переписывать софт на новые версии

Чего? Речь про минорные релизы, какое ещё переписывание?
> Файрфокс получит денег от Оracle

Как бы Oracle не очень понравится, если N процентов установок вдруг фактически перестанут работать (если человек, например, пользуется жабкой только в браузере). Даже если они уязвимые. И ИМХО для Mozilla подобное решение не очень - со стороны человека всё это выглядит, как будто бы всё работало, а потом вдруг перестало работать исключительно в FF.

Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

21. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +4 +/
Сообщение от Аноним (??) on 03-Апр-12, 19:59 
Очевидно, что оно не просто "тупо перестанет работать", а будет выведено соответствующее сообщение с просьбой обновить java
Ответить | Правка | ^ к родителю #17 | Наверх | Cообщить модератору

44. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +2 +/
Сообщение от Xasd (ok) on 03-Апр-12, 21:56 
> будет выведено соответствующее сообщение с просьбой обновить java

при заходе на java-сайт -- будет вообщение о том что мол якобы Java-Plugin не установлен (вообще!)

в связи с этим -- предполагаю одно из двух [популярных] вида размышлений гипотетического пользователя:

1. [плохой вариант]: """почему меня опять просят установить JavaPlugin? яже уже его ставил(-а)! попробую открыть в Microsoft Internet Explorer.. ОПА! СРАБОТАЛО! наверно Firefox это гавно какоето %)"""

2. [хороший вариант]: """почему этот долбанный сайт опять не работает? я же для него уже устанавливал(-а) JavaPlugin.. ладно установлю ещё раз... ОПА! СРАБОТАЛО! наверно это просто дурацкий сайт такой, если ещё раз он мне такое выдаст то может не буду больше им пользоваться, ... (задалбался(-лась) я с этими плугинами)"""

Ответить | Правка | ^ к родителю #21 | Наверх | Cообщить модератору

70. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  –2 +/
Сообщение от Алексей (??) on 04-Апр-12, 03:48 
было бы смешно, если бы не было грустно
вот совпадение - именно сегодня пришлось подключаться через ikvm к машинке, а клиент на java сделан.
Браузеры дружно все послали на сайт оракла, чтоб скачать java. Там меня попросили регистрироваться, заполнять анкету, чтобы я мог получить ссылку на этот блоб. И Firefox, и Konqueror, и Chrome, и Rekonq. При том что в системе стоит несколько jdk на выбор, версии свежие, из rawhide.

Решил все загрузкой запасной винды, в рабочей системе срать не захотел из принципа, а винду не так жалко.

Так вот - упомянутые 3 млрд машин - либо просто цифру выбрали посолиднее, все равно не проверить же. Либо j2me сосчитали. Ну и самое вероятное (и неприятное) маркетологи у них javascript и java не отличают (но в их работе как видно это не мешает).

С такой политикой у оракла от java только и останется что торговая марка, сами же свою пользовательскую базу сгонят на альтернативные реализации.

Это хорошо, и я думаю даже RMS одобрил бы. Оракл из крупных корпораций, участвующих в создании Линукса, пожалуй дальше всего от open source.

Ответить | Правка | ^ к родителю #44 | Наверх | Cообщить модератору

78. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +1 +/
Сообщение от Аноним (??) on 04-Апр-12, 09:24 
А о какой регистрации на сайте идёт речь? На java.com без регистрации.
Ответить | Правка | ^ к родителю #70 | Наверх | Cообщить модератору

99. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от aim (ok) on 12-Апр-12, 14:03 
> При том что в системе стоит несколько jdk на выбор, версии свежие, из rawhide.

а вы в курсе что помимо jdk существует ещё плагин для браузеров? и в open-версии он называется icedtea и поставить из репов вам надо было именно его?

и никаких блобов!

Ответить | Правка | ^ к родителю #70 | Наверх | Cообщить модератору

31. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  –1 +/
Сообщение от Онаним on 03-Апр-12, 20:36 
Многие клиент-банки работают только со старыми замшелыми версиями Жабы.
Я приветствую, что им наконец-то придется обновить свои кривые клиент-банки.
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

33. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +6 +/
Сообщение от Аноним (??) on 03-Апр-12, 20:45 
Вы используете неправильный браузер. Запустите Internet Explorer
Ответить | Правка | ^ к родителю #31 | Наверх | Cообщить модератору

45. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +2 +/
Сообщение от Xasd (ok) on 03-Апр-12, 21:57 
> Вы используете неправильный браузер. Запустите Internet Explorer

в техподдержке небось так и говорят... да ещё и спрашивают не працкая ли у вас Венда xD xD

Ответить | Правка | ^ к родителю #33 | Наверх | Cообщить модератору

58. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +1 +/
Сообщение от Аноним (??) on 04-Апр-12, 00:51 
> Запустите Internet Explorer

Да, а то хакерам приходится извращаться с какой-то там явой. А тут можно будет просто браузер сломать. Хакеры негодуют - лишняя возня с этой явой.

Ответить | Правка | ^ к родителю #33 | Наверх | Cообщить модератору

35. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +2 +/
Сообщение от Avator (ok) on 03-Апр-12, 20:49 
Это вы где такое нашли, если не секрет?
Внутри одной ветки 6ой или 7ой или 5ой Java совместимость уж точно 100%.
Да и впринципе, не разу не видел, чтобы код, написанный для 5ки не работал в более новых версиях. Так что вы уважаемый судя по всему не разобрались в теме.
Ответить | Правка | ^ к родителю #31 | Наверх | Cообщить модератору

62. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Alex (??) on 04-Апр-12, 01:28 
А я видел, это был ColdFusion 6MX отказавшийся работать на java6, при этом в 5 версии работал. Или вот нашумевшая новость про Lucene, которая до недавнего времени не работала в java 7. Правда случаи редкие и касались больших проектов.
Кстати, чтоб не упустить момент запуска потаенного java аплета, можете включить появление диалога с отображением логов(и стректрейсов) работающего аплета. Утилита jcontrol, вкладка Advanced -> Enable Loggin.
Ответить | Правка | ^ к родителю #35 | Наверх | Cообщить модератору

65. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Avator (ok) on 04-Апр-12, 03:24 
Хм, спасибо за инфу.
Погуглю на эти темы. Честно говоря я, достаточно активно пользуясь Java на такие грабли ни разу не наталкивался. И новостей на эту тему особо не видел.

А вот совместимости между JVM разных производителей реально вызывала массу вопросов.
И тем радостней факт объединения IBM'овской, Sun'овской, Oracl'овской и Appl'овской виртуальных машин. И совместное развитие их под лицензией GPL. Так что надеюсь дальше с совместимостью будет еще лучше.

Ответить | Правка | ^ к родителю #62 | Наверх | Cообщить модератору

42. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от кевин on 03-Апр-12, 21:08 
рваньё банков с явой до 1.3(или 1.1 непомню когда там был единственный слом совместимости) нет!
Ответить | Правка | ^ к родителю #31 | Наверх | Cообщить модератору

94. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от user (??) on 09-Апр-12, 09:21 
Вы не понимаете проблемы. Старые версии джавы используются потому, что именно на эти версии ориентирован специализированный софт, который хорошо выполняет свою работу.  И обновление его - не требуется. Вообще.
Привычка обновлять, обновлять и обновлять по каждому поводу - это от хомячков, для которых случайная переустановка системы- нечто не заслуживающее даже отдельного внимания.
Но в корпоративной среде - это вообще нереально.
Обновления проходят через тестирование, через согласование с разработчиками всего барахла что установлено...
Поэтому как только устанавливаемый штатно браузер (файрфокс на редхат например) вдруг откажется работать с установленными штатно версиями программного обеспечения - редхат получит влоб. Но они не получат :) Они эту опцию НИКОГДА не добавят :))
Ответить | Правка | ^ к родителю #31 | Наверх | Cообщить модератору

100. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от aim (ok) on 12-Апр-12, 14:04 
> Многие клиент-банки работают только со старыми замшелыми версиями Жабы.

для банк-клиентов уже давно множество людей завело отдельные компьютеры ограниченные по доступу именно к банкам или сделало аналогичные виртуальные машины.

Ответить | Правка | ^ к родителю #31 | Наверх | Cообщить модератору

2. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +6 +/
Сообщение от Аноним (??) on 03-Апр-12, 18:56 
Давно удалил джава-плагин потому что он почти не нужен, а вот дырок порядочно.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

20. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +3 +/
Сообщение от Аноним (??) on 03-Апр-12, 19:57 
Java-плагин? Я думал апплеты умерли еще не родившись в мохнатых 90х ..
Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

36. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Avator (ok) on 03-Апр-12, 20:50 
> Java-плагин? Я думал апплеты умерли еще не родившись в мохнатых 90х ..

Вы плохо думали. Апплеты используются в банковском секторе и не только.
Хотя область применения конечно весьма узкая. И с выходом таких вещей как WebSockets продолжает сужаться.

Ответить | Правка | ^ к родителю #20 | Наверх | Cообщить модератору

59. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Аноним (??) on 04-Апр-12, 00:54 
> Хотя область применения конечно весьма узкая. И с выходом таких вещей как
> WebSockets продолжает сужаться.

Для онлайн банкинга в принципе достаточно просто вебморды по https. И у всех крупных международных банков они такие и есть. Это у нас IT как обычно на пещерном уровне со всяким самопальным хламом писаным сынком директора чтобы распилить, etc...

Ответить | Правка | ^ к родителю #36 | Наверх | Cообщить модератору

61. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Анонимный эксперт on 04-Апр-12, 01:25 
>достаточно просто вебморды

Цифровую подпись личным ключом с диска или флешки как на JS делать будешь?

Ответить | Правка | ^ к родителю #59 | Наверх | Cообщить модератору

77. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +2 +/
Сообщение от ACCA (ok) on 04-Апр-12, 09:09 
Я тебе по секрету скажу - цифровая подпись с диска или флешки для банка нафиг не нужна. Ты путаешь юридический акт с транзакцией.

Сильно защитит тебя цифровая подпись от подделки записи в банковской базе?

Нормальная защита - это когда я в течение 90 дней просмотрел выписку, потом позвонил в банк и сказал - "А вот 2 января я бухой лежал. И никакие 2млн. не переводил. Заберите их назад."

После этого банк забирает 2млн. у банка получателя и это забота получателя доказывать с подписями, свидетелями и видео с камер наблюдения судье, что это именно я ужратый в хлам сказал ему "угу". А судья будет недоумённо спрашивать - "Это *ТАКИМ* образом вы утверждаете, что ответчик в здравом уме и трезвой памяти отдал вам эти деньги??"

Ответить | Правка | ^ к родителю #61 | Наверх | Cообщить модератору

79. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Аноним (??) on 04-Апр-12, 12:50 
> Сильно защитит тебя цифровая подпись от подделки записи в банковской базе?

Еще как защитит. Тупо предъявишь старую выписку с банка с еще неизменеными документами, которая хранится в виде какой-нибудь XML, подписанной приватным ключом банка. Т.е. публичным ключом банка просмотреть ее можешь. Клиент хоть укакается, а не сможет подделать ее не зная банковского приватного ключа. Или предъявить такой же XML-ный ответ от банка о проведении транзакции, опять же, подписанный приватным ключом банка. В банке потом те записи до опупения могут менять. Разве что потом при разборках могут только признать что они приватный ключ прое...ли.

Ответить | Правка | ^ к родителю #77 | Наверх | Cообщить модератору

82. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от дрищ on 04-Апр-12, 13:26 
>> Сильно защитит тебя цифровая подпись от подделки записи в банковской базе?
> Еще как защитит.

А троянцы для iBank и прочей подобной срани были иного мнения. На раз переиначивая параметры транзакции в пользу ДРУГОГО счета. А вы потом долбитесь с банком доказывая что не верблюд. Гемор по откату транзакции при этом совершенно обычный, как и при любых иных видах махинаций, подпись никак особо не помогает.

Ответить | Правка | ^ к родителю #79 | Наверх | Cообщить модератору

85. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Аноним (??) on 04-Апр-12, 14:00 
А про троянцы никто ничего не говорил :) . Это отдельная тема

В комменте, на который были те возражения, поднимались иные проблемы:

> Сильно защитит тебя цифровая подпись от подделки записи в банковской базе?...

и

> "А вот 2 января я бухой лежал. И никакие 2млн. не переводил. Заберите их назад."

А про троянцы... Тут уж читайте договоры, которые заключаете с банком. Там обычно прямо сиреневым по зеленому  написано что ответственность по сохранности приватных ключей ложится на соответствующие стороны. Подозреваю (хоть и не читал) что и в законах об электронных подписях это предусмотрено, т.е. если у тебя уведут ключ, то это не отменит транзакцию, это наверное будет интерпретировано как ситуация, когда у тебя мошенник украл деньги, т.е. будут искать злобного хакера и долг повесят на него, а не на банк. Да и где иначе будет гарантия что ты сам не сфальсифицировал кражу приватного ключа? Тогда каждый будет переводить деньги на левые фиктивные фирмы,с которыми договорился, потом заражать комп любимым набором вирусов (которые ничего уже не сделают с обнуленным счетом), а потом кричать "а, меня обокрали, банк нехороший, верните мне мои деньги!!!!!" и банк будет всем возвращать? Как же

Ответить | Правка | ^ к родителю #82 | Наверх | Cообщить модератору

88. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Frank email(ok) on 04-Апр-12, 22:02 
Вы, похоже, о банковской системе только наслышаны. Пойдите в ближайший банк и изучите условия. Увидите там пункт про оспаривание транзакций. Стоит денег, обычно.
Ответить | Правка | ^ к родителю #85 | Наверх | Cообщить модератору

101. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от ACCA (ok) on 17-Апр-12, 07:24 
>> Сильно защитит тебя цифровая подпись от подделки записи в банковской базе?
> Еще как защитит. Тупо предъявишь старую выписку с банка с еще неизменеными
> документами, которая хранится в виде какой-нибудь XML, подписанной приватным ключом

Ты немного не въехал.

Вчера ты получил выписку. Она подписана, все транзакции твои. Сегодня ты получил выписку. Она тоже подписана, но есть лишняя транзакция. Банк тебе говорит - "это твоя транзакция. У нас в базе есть отметка, что подпись проверяли и она совпала. И ответ тебе отправили, это ты его проебал. Исходник сообщения мы тебе покажем по решению суда. Если не потрём к тому времени."

Теперь докажи, что эту транзакцию ты не проводил.

Ответить | Правка | ^ к родителю #79 | Наверх | Cообщить модератору

80. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Аноним (??) on 04-Апр-12, 13:01 
>Нормальная защита - это когда я в течение 90 дней просмотрел выписку, потом позвонил в >банк и сказал - "А вот 2 января я бухой лежал. И никакие 2млн. не переводил. Заберите их >назад."

вдогонку к выше написанному - и наоборот, банк также тебе может сказать - "нихера подобного, вот от тебя документ пришел, подписан твоим приватным ключом т.к. мы смогли его прочесть твоим открытым ключом (что доказывает что ты есть ты), а за сохранность приватного ключа уже отвечаешь ты"

Ответить | Правка | ^ к родителю #77 | Наверх | Cообщить модератору

81. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +2 +/
Сообщение от дрищ on 04-Апр-12, 13:23 
> Цифровую подпись личным ключом с диска или флешки как на JS делать будешь?

Внезапно, в https есть авторизация клиентским сертификатом! А то что какой-то козел решил что он самый умный и ща переизобретет велосипед в 100500-й раз - так понятный фиг, если хочется распилить бабла на создании какашек - все средства хороши. Даже если они и создают клиенту геморрой.

Ответить | Правка | ^ к родителю #61 | Наверх | Cообщить модератору

89. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Frank email(ok) on 04-Апр-12, 22:04 
>>достаточно просто вебморды
> Цифровую подпись личным ключом с диска или флешки как на JS делать
> будешь?

ВНЕЗАПНО, из хранилища в браузере. Прозрей, например, с того, как это делается в light.webmoney.ru, легко и элегантно. Логин через сгенерированный личный сертификат X.509

Ответить | Правка | ^ к родителю #61 | Наверх | Cообщить модератору

66. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Avator (ok) on 04-Апр-12, 03:27 
>> Хотя область применения конечно весьма узкая. И с выходом таких вещей как
>> WebSockets продолжает сужаться.
> Для онлайн банкинга в принципе достаточно просто вебморды по https. И у
> всех крупных международных банков они такие и есть. Это у нас
> IT как обычно на пещерном уровне со всяким самопальным хламом писаным
> сынком директора чтобы распилить, etc...

+1 к прошлому коментарию по поводу ЭЦП.
Плюс от себя добавлю 10 копеек.

А с чего вы взяли, что я говорил об онлайн банкинге? Для банкинга апплеты и не нужны совсем.
Я говорил о брокерских системах (торги на фондовом рынке (РТС, ММВБ)).
И вот в этой ситуации отсутствие гарантированной работы Server Side Push в современных браузерах является принципиальным моментом. WebSockets эту проблему решает. Но он появился сравнительно недавно.

Ответить | Правка | ^ к родителю #59 | Наверх | Cообщить модератору

48. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Аноним (??) on 03-Апр-12, 22:39 
Самое страшное, что многие так думают, но вот при установке джавы ставится и апплет. Открывая дополнительные возможности для взломщиков.
Ответить | Правка | ^ к родителю #20 | Наверх | Cообщить модератору

53. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +1 +/
Сообщение от Клыкастый (ok) on 04-Апр-12, 00:16 
ваши бы слова да богу в уши. мегатонны фигни актив-хэ до сих пор куются за каким-то лядом по всея Руси. банки в привинции при слове линукс или упаси аллах фрибсд делают изумлённые глаза с крупными буквами "шо это?". да что там. дословно слова саппорта в ВТБ24:
- Вы использовали Файрфокс? УЖЕ ОШИБКА! Только Интернет эксплорер!
Ответить | Правка | ^ к родителю #48 | Наверх | Cообщить модератору

83. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +1 +/
Сообщение от Аноним (??) on 04-Апр-12, 13:31 
> ваши бы слова да богу в уши. мегатонны фигни актив-хэ до сих
> пор куются за каким-то лядом по всея Руси.

Так говорят же вам что уровень развития IT пещерный. До сих пор сынки директоров изучавшие в школе дельфи пишут на нем свои поделки чтобы откатить и распилить.

А я бы такому саппорту доступно и матерно объяснил бы что #$#л я за свои деньги дрессироваться под их выпендреж и пожалуй поищу другой банк.

Ответить | Правка | ^ к родителю #53 | Наверх | Cообщить модератору

91. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от ФФ (ok) on 06-Апр-12, 09:21 
>пожалуй поищу другой банк.

Часто бывает так, что админ не полномочен выбирать банк, а директор вынужден использовать именно этот. Потому что им управляет сын губернатора.

Ответить | Правка | ^ к родителю #83 | Наверх | Cообщить модератору

3. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +2 +/
Сообщение от Tav (ok) on 03-Апр-12, 18:56 
Проблем было бы гораздо меньше, если бы ни дурацкий подход к установке и обновлению ПО «каждый сам за себя» в самой популярной ОС. И в OS X примерно также?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

6. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Ищавин (ok) on 03-Апр-12, 19:16 
Нет, там централизованно, только в Apple работают слоупоки.
Ответить | Правка | ^ к родителю #3 | Наверх | Cообщить модератору

11. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Tav (ok) on 03-Апр-12, 19:28 
Централизованно только для ПО, поддерживаемого самим Эпплом?
Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

28. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Аноним (??) on 03-Апр-12, 20:16 
>Централизованно только для ПО, поддерживаемого самим Эпплом?

Куда в том числе входит Java

Ответить | Правка | ^ к родителю #11 | Наверх | Cообщить модератору

63. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Ищавин (ok) on 04-Апр-12, 01:41 
Да, но туда входит Java, Ruby, Python и т.д. Если софт куплен в ЭппСторе, то и он обновляется автоматом. Правда там все тоже происходит небыстро, много времени уходит на аудит кода, поэтому Хрома и Лисицу мы там не увидим.
Ответить | Правка | ^ к родителю #11 | Наверх | Cообщить модератору

71. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Ищавин (ok) on 04-Апр-12, 05:39 
Зря на них гнал, сегодня же пришло обновление. Можно Джаву врубать опять.
Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

84. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +1 +/
Сообщение от Аноним (??) on 04-Апр-12, 13:32 
> Зря на них гнал, сегодня же пришло обновление. Можно Джаву врубать опять.

Ты джва года ждал пока обновится джава, макофаг позорный?

Ответить | Правка | ^ к родителю #71 | Наверх | Cообщить модератору

23. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +1 +/
Сообщение от Anonymous2 on 03-Апр-12, 20:01 
Oracle в Windows (да и другие тоже) взяли б на заметку метод обновления как у Chrome ("Задача" и по ней запуск обновления) - проблем бы с плагином было б меньше.
Ответить | Правка | ^ к родителю #3 | Наверх | Cообщить модератору

34. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Аноним (??) on 03-Апр-12, 20:47 
Там итак автоматическое обновление
Ответить | Правка | ^ к родителю #23 | Наверх | Cообщить модератору

38. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +2 +/
Сообщение от Avator (ok) on 03-Апр-12, 20:52 
> Там итак автоматическое обновление

Ну оно далеко не всегда срабатывает. Кроме того, пользователь явно должен дать согласие даже для минорных обновлений, что на самом деле плохо.
Надо принудительно обновлять и всё, как в Chrome.

Ответить | Правка | ^ к родителю #34 | Наверх | Cообщить модератору

46. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +2 +/
Сообщение от Xasd (ok) on 03-Апр-12, 22:06 
> Там итак автоматическое обновление

как понять автоматическое?

хомячку сначало ~намекают~ про то что мол нужно обновить Java [при этом хотячок зачастую не понимает что вообще от него хотят такое, и что такое Java].. затем он соглашается с непонятно чем (кнопочкой "I Agree") и потом ещё 9000-окошек разных

тоже мне автоматизация xD

Ответить | Правка | ^ к родителю #34 | Наверх | Cообщить модератору

56. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +1 +/
Сообщение от Avator (ok) on 04-Апр-12, 00:48 
>> Там итак автоматическое обновление
> как понять автоматическое?
> хомячку сначало ~намекают~ про то что мол нужно обновить Java [при этом
> хотячок зачастую не понимает что вообще от него хотят такое, и
> что такое Java].. затем он соглашается с непонятно чем (кнопочкой "I
> Agree") и потом ещё 9000-окошек разных
> тоже мне автоматизация xD

+100
меня всегда это система апдейтов раздражала. Никто из знакомых обычных пользователей этого не делает сам. Приходится хотя бы для домашних периодически проверять вручную и обновлять (если им Java нужна), чтобы они вирусов не нахватали.

Ответить | Правка | ^ к родителю #46 | Наверх | Cообщить модератору

4. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +2 +/
Сообщение от Loly on 03-Апр-12, 18:59 
Проблема в том что часть "быдлопрограм" (в том числе и банк клиенты), работают только со старыми версиями java и переписывать их под новые версии никто не хочет и не будет.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

5. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +3 +/
Сообщение от Аноним (??) on 03-Апр-12, 19:07 
Мянять такие банки.
Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

13. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от zazik (ok) on 03-Апр-12, 19:41 
> Мянять такие банки.

Если бы только банки! Недавно пришлось столкнуться с PIX'ом у заказчиков. Поначалу был доступ только через веб-интерфейс. А ему была нужна Жаба не выше определённой версии для работы, на новых работать отказывался.

Ответить | Правка | ^ к родителю #5 | Наверх | Cообщить модератору

47. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  –1 +/
Сообщение от Dimez (ok) on 03-Апр-12, 22:23 
PIX потому-что обновлять надо, с ним и ASDM обновляется. А вообще, если уж очень нужен ASDM, то лучше распотрошить вендовый инсталлятор и запускать через java -jar, а не через браузер - стабильнее работает.
Ответить | Правка | ^ к родителю #13 | Наверх | Cообщить модератору

49. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от zazik (ok) on 03-Апр-12, 23:05 
> PIX потому-что обновлять надо, с ним и ASDM обновляется. А вообще, если
> уж очень нужен ASDM, то лучше распотрошить вендовый инсталлятор и запускать
> через java -jar, а не через браузер - стабильнее работает.

А вот сраные длинки на жабаскрипте работают почти в любом браузере и фирмварь обновлять не надо для этого. Чудо, да?

Да и заказчик был бы, скажем. удивлён, если бы ему выставили счёт ещё и за обновление железки только для того, чтобы её перенастроить можно было.

Ответить | Правка | ^ к родителю #47 | Наверх | Cообщить модератору

64. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Dimez (??) on 04-Апр-12, 01:46 
>> PIX потому-что обновлять надо, с ним и ASDM обновляется. А вообще, если
>> уж очень нужен ASDM, то лучше распотрошить вендовый инсталлятор и запускать
>> через java -jar, а не через браузер - стабильнее работает.
> А вот сраные длинки на жабаскрипте работают почти в любом браузере и
> фирмварь обновлять не надо для этого. Чудо, да?
> Да и заказчик был бы, скажем. удивлён, если бы ему выставили счёт
> ещё и за обновление железки только для того, чтобы её перенастроить
> можно было.

1) В Java и JavaScript только слово Java общее, больше ничего.
2) Ну и использовали бы дальше длинки, что жаловаться то?

Ответить | Правка | ^ к родителю #49 | Наверх | Cообщить модератору

87. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от zazik (ok) on 04-Апр-12, 19:59 
> 1) В Java и JavaScript только слово Java общее, больше ничего.

Спасибо, Кэп!

> 2) Ну и использовали бы дальше длинки, что жаловаться то?

Мы бы может и использовали бы, но у заказчика уже стоит PIX.

Ответить | Правка | ^ к родителю #64 | Наверх | Cообщить модератору

8. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от анонимко on 03-Апр-12, 19:19 
man ВТБ24
Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

10. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +2 +/
Сообщение от Tav (ok) on 03-Апр-12, 19:26 
В Java совместимость между версиями довольно хорошо обеспечивается (не знаю даже, у какого языка или платформы с этим было бы лучше). Если что-то работает только со старыми версиями, вероятно одно из двух: либо разаботчики специально добавили проверки на версию (энтерпрайз такой энтерпрайз), либо разработчики использовали неподдерживаемые специфичные для реализации API (например, пакеты sun и sunw). Печально, если банковские приложения так пишутся.
Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

14. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  –3 +/
Сообщение от zazik (ok) on 03-Апр-12, 19:42 
> В Java совместимость между версиями довольно хорошо обеспечивается (не знаю даже, у
> какого языка или платформы с этим было бы лучше). Если что-то
> работает только со старыми версиями, вероятно одно из двух: либо разаботчики
> специально добавили проверки на версию (энтерпрайз такой энтерпрайз), либо разработчики
> использовали неподдерживаемые специфичные для реализации API (например, пакеты sun и sunw).
> Печально, если банковские приложения так пишутся.

Ну да, ну да. Наелся я этой совместимости и кроссплатформности. Больше не надо, спасибо.

Ответить | Правка | ^ к родителю #10 | Наверх | Cообщить модератору

40. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Avator (ok) on 03-Апр-12, 20:54 
>> В Java совместимость между версиями довольно хорошо обеспечивается (не знаю даже, у
>> какого языка или платформы с этим было бы лучше). Если что-то
>> работает только со старыми версиями, вероятно одно из двух: либо разаботчики
>> специально добавили проверки на версию (энтерпрайз такой энтерпрайз), либо разработчики
>> использовали неподдерживаемые специфичные для реализации API (например, пакеты sun и sunw).
>> Печально, если банковские приложения так пишутся.
> Ну да, ну да. Наелся я этой совместимости и кроссплатформности. Больше не
> надо, спасибо.

Примеры пожалуйста приведите. Иначе выглядит как голословные обвинения.
Я на практике вообще ни разу не видел проблем с совместимостью Java приложений.

Ответить | Правка | ^ к родителю #14 | Наверх | Cообщить модератору

41. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от zazik (ok) on 03-Апр-12, 21:00 
> Примеры пожалуйста приведите. Иначе выглядит как голословные обвинения.
> Я на практике вообще ни разу не видел проблем с совместимостью Java
> приложений.

Выше про PIX писал. До этого JIRA на жабе от IBM не запускалась, только на родной. Сейчас на моём компе IMM не работает. Жаба не сносится и не ставится(но это скорее к установщику жабы, а не к самому языку).

Ответить | Правка | ^ к родителю #40 | Наверх | Cообщить модератору

55. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +1 +/
Сообщение от Avator (ok) on 04-Апр-12, 00:46 
>> Примеры пожалуйста приведите. Иначе выглядит как голословные обвинения.
>> Я на практике вообще ни разу не видел проблем с совместимостью Java
>> приложений.
> Выше про PIX писал. До этого JIRA на жабе от IBM не
> запускалась, только на родной. Сейчас на моём компе IMM не работает.
> Жаба не сносится и не ставится(но это скорее к установщику жабы,
> а не к самому языку).

Ну извините, IBM'овская JVM - это другая VM. Если вы будете использовать Oracl'овскую (Sun'овскую) VM, то никаких проблем с совместимостью скорее всего не обнаружите.
Вы бы еще Java ругали за отсутствия совместимости, приводя в качестве примера, что что-то не не работает на Gnu Classpath.

PS Скорее всего вы пытались поставить новую Jira на старую версию Java (ниже чем в требованиях). А вот такую совместимость уж точно никто даже не декларирует.

Ответить | Правка | ^ к родителю #41 | Наверх | Cообщить модератору

93. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Crazy Alex (ok) on 07-Апр-12, 02:29 
Жаба от IBM сертифицирована на совместимость с сановской, вообще-то.
Ответить | Правка | ^ к родителю #55 | Наверх | Cообщить модератору

95. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от user (??) on 09-Апр-12, 09:54 
>>> Примеры пожалуйста приведите. Иначе выглядит как голословные обвинения.
>>> Я на практике вообще ни разу не видел проблем с совместимостью Java
>>> приложений.
>> Выше про PIX писал. До этого JIRA на жабе от IBM не
>> запускалась, только на родной. Сейчас на моём компе IMM не работает.
>> Жаба не сносится и не ставится(но это скорее к установщику жабы,
>> а не к самому языку).
> Ну извините, IBM'овская JVM - это другая VM. Если вы будете использовать
> Oracl'овскую (Sun'овскую) VM, то никаких проблем с совместимостью скорее всего не
> обнаружите.

Ну да... Оракловые продукты вообще отказываются запускаться обнаружив иную джаву чем им хочется.

Ответить | Правка | ^ к родителю #55 | Наверх | Cообщить модератору

98. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Аноним (??) on 09-Апр-12, 12:41 
>> Ну да, ну да. Наелся я этой совместимости и кроссплатформности. Больше не
>> надо, спасибо.
>
>Примеры пожалуйста приведите. Иначе выглядит как голословные обвинения.
>Я на практике вообще ни разу не видел проблем с совместимостью Java приложений.

А что практикуете?

На счет примеров. Какой бы Вам пример не привели,
Вы с большой вероятностью скажете, что это
единичный случай/никому не нужное приложение/и т.д.

Поэтому лучше попробовать такой вариант -
Вы приводите пример приложения которое может работать с java 1.4, 1.5, 6.

P.S. однако, противоположная сторона с большой вероятностью может сказать.....

Ответить | Правка | ^ к родителю #40 | Наверх | Cообщить модератору

7. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от chemtech (ok) on 03-Апр-12, 19:17 
Mozilla vs Оracle
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

9. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +2 +/
Сообщение от Анонимусм on 03-Апр-12, 19:26 
Что мешает пользоваться свободным icedtea?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

18. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от h31 (ok) on 03-Апр-12, 19:50 
> Что мешает пользоваться свободным icedtea?

Не факт, что в нём исправили.

Ответить | Правка | ^ к родителю #9 | Наверх | Cообщить модератору

19. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от paulus email(ok) on 03-Апр-12, 19:52 
+1, то же самое, что не дает обновить версии Java.
Ответить | Правка | ^ к родителю #9 | Наверх | Cообщить модератору

22. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +1 +/
Сообщение от Lain_13 email on 03-Апр-12, 19:59 
Тем, что он с половиной апплетов не работает. Захотел вот попробовать погонять OnLive — пришлось выпилить icedtea и поставить таки Java. Причём нормального пакета, который нужно не через задний проходи накатывать, я актуальной версии не нашёл. Пришлось 1.6.0_26 ставить.
Не знаете случайно нормального репозитория с явой, чтоб подключил и работало, а не почти руками из opt ставить, как у Оракла на сайте написано?
Ответить | Правка | ^ к родителю #9 | Наверх | Cообщить модератору

37. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +1 +/
Сообщение от Аноним (??) on 03-Апр-12, 20:51 
>я актуальной версии не нашёл. Пришлось 1.6.0_26 ставить.

можешь передать спасибо oracle за запрет распространять в дистрибутивах

Ответить | Правка | ^ к родителю #22 | Наверх | Cообщить модератору

54. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Lain_13 email on 04-Апр-12, 00:19 
> можешь передать спасибо oracle за запрет распространять в дистрибутивах

Я лучше вот этих ребят поблагодарю: https://github.com/flexiondotorg/oab-java6

Ответить | Правка | ^ к родителю #37 | Наверх | Cообщить модератору

76. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Аноним (??) on 04-Апр-12, 09:08 
+1 У меня с icedtea не работает консоль HP iLO и консоль Proxmox.
Oracle - уроды, конечно. Чем им мешало присутствие их Java в дистрибутивах?
Ответить | Правка | ^ к родителю #22 | Наверх | Cообщить модератору

26. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от _Vitaly_ (ok) on 03-Апр-12, 20:07 
Покажете как на нем БИФИТ-овский банк-клиент с pcscd запустить?
Ответить | Правка | ^ к родителю #9 | Наверх | Cообщить модератору

43. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Аноным (ok) on 03-Апр-12, 21:35 
IDE на Сановской работают лучше, либо просто работают, а на свободной хрен.
Ответить | Правка | ^ к родителю #9 | Наверх | Cообщить модератору

72. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Аноним (??) on 04-Апр-12, 06:23 
В последнее время ситуация улучшилась. По крайней мере NetBeans и Eclipse прекрасно живут на OpenJDK.
Ответить | Правка | ^ к родителю #43 | Наверх | Cообщить модератору

12. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Crazy Alex (ok) on 03-Апр-12, 19:39 
А тут по-моему Мозилла уже не в своё дело лезет. Вывести предупреждение, даже страшное - куда ни шло. Но там должна быть кнопка "да, я в курсе, пропустить". И (хоть мелкими буквамив  каком-нибудь открывающемся окошке): "больше не спрашивать". Но у них, насоклько я понимаю, этих кнопки/галки нет.

Допустим я из файрфокса только на сайт того же банка и хожу - какое мне дело до уязвимости жабы? Или еще лучше - если гружу что-то с локалхоста.

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

27. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от szh (ok) on 03-Апр-12, 20:07 
так и есть, можно не отключать плагин. О чем по ссылке даже написано
Ответить | Правка | ^ к родителю #12 | Наверх | Cообщить модератору

15. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от paulus email(ok) on 03-Апр-12, 19:45 
Что-то Мозилла взялась за виндузятников, то 13 версия ХР не будет поддерживать, то Java-плагин отключат и т.д. Видимо что-то не так с пользователями самой распространенной ОС ;)
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

32. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +3 +/
Сообщение от Rebel (??) on 03-Апр-12, 20:42 
Напугали, для Firefox 13 потребуется всего лишь Windows SP2 и выше.
Ответить | Правка | ^ к родителю #15 | Наверх | Cообщить модератору

16. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +2 +/
Сообщение от Vova email(??) on 03-Апр-12, 19:49 
чуть не так нада было. Жабу вообще любую нада блокировать )
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

24. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +1 +/
Сообщение от szh (ok) on 03-Апр-12, 20:03 
> По данным Oracle Java используется на более чем на 3 миллиардах систем,

Смешные данные из ПР отдела.
Пользователей интернета в полтора-два раза меньше, и не у всех стоит java.

А разработчики firefox немного мудаки, давно убрали галочку enable java рядом с load images/enable javascript

Кстати час назад firefox в Ubuntu сказал что мой IcedTea устарел и предложил отключить.

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

25. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Анон on 03-Апр-12, 20:04 
Все правильно делают. Если пользователи не в состоянии скачать свежую версию софта, они должны страдать.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

29. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  –3 +/
Сообщение от pro100master (ok) on 03-Апр-12, 20:23 
не правильно. О своём собственно обновлении должны заботится сами программы. У обычного узера компьютер это не "вторая жена" :)
Ответить | Правка | ^ к родителю #25 | Наверх | Cообщить модератору

30. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +5 +/
Сообщение от paulus email(ok) on 03-Апр-12, 20:26 
> не правильно. О своём собственно обновлении должны заботится сами программы.

не правильно, этим должен заниматься менеджер пакетов, а не каждая программулина в отдельности... imho
"вторая жена" - это же машина, а не комп :)

Ответить | Правка | ^ к родителю #29 | Наверх | Cообщить модератору

39. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +1 +/
Сообщение от Аноним (??) on 03-Апр-12, 20:53 
а если нет машины

Ответить | Правка | ^ к родителю #30 | Наверх | Cообщить модератору

50. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +1 +/
Сообщение от Аноним (??) on 03-Апр-12, 23:07 
Очевидно есть машина у жены :D
Ответить | Правка | ^ к родителю #39 | Наверх | Cообщить модератору

51. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от EUGENE on 04-Апр-12, 00:06 
Уверен найдется путь разлочить защиту!!!
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

73. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +1 +/
Сообщение от Аноним (??) on 04-Апр-12, 06:25 
ога, скачать crack и keygen
Ответить | Правка | ^ к родителю #51 | Наверх | Cообщить модератору

52. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Андрей (??) on 04-Апр-12, 00:07 
Кстати, на Дэбиане java6 6b24. Этот build 24 - значит не тоже самое, что update24?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

57. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Avator (ok) on 04-Апр-12, 00:50 
> Кстати, на Дэбиане java6 6b24. Этот build 24 - значит не тоже
> самое, что update24?

попробуйте набрать java -version и узнаете более точно версию.

Скорее всего это update 24.

Ответить | Правка | ^ к родителю #52 | Наверх | Cообщить модератору

60. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Андрей (??) on 04-Апр-12, 01:21 
java version "1.6.0_24"
Т.к. обновление джавы всегда затягивается, им придётся отключить блокировку в грядущем iceweasel. Или просто отложат выход пакета.
Ответить | Правка | ^ к родителю #57 | Наверх | Cообщить модератору

69. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от Avator (ok) on 04-Апр-12, 03:47 
> java version "1.6.0_24"
> Т.к. обновление джавы всегда затягивается, им придётся отключить блокировку в грядущем
> iceweasel. Или просто отложат выход пакета.

Угу. Это именно 24ый update. Так что лучше заблочьте совсем. ИМХО. А если не пользуете Applet'ы лучше и не включайте его, от греха подальше.
Я это вам как Java разработчик говорю.

Вспомните хоть ситуацию с взломом mysql.com. Честно говоря она меня тогда сильно напугала.
Вот тут можно посмотреть как происходит заражение машины при простом открытии странички сайта (при использовании необновленной Java)

http://youtu.be/J7prODlHniU

Ответить | Правка | ^ к родителю #60 | Наверх | Cообщить модератору

67. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от iZEN (ok) on 04-Апр-12, 03:38 
Oracle Java не обновляется самостоятельно на Windows XP. Какой-то глюк — не понял природы. Приходится обновлённую версию скачивать с официального сайта, удалять старую и устанавливать свежую.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

75. "Долой обязательные заголовки комментариев!"  –2 +/
Сообщение от Дэн on 04-Апр-12, 08:22 
Да отлично вообще, пускай отключают, кому она нужна в браузере?
Я только обрадовался, обновлять не собираюсь.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

86. "Долой обязательные заголовки комментариев!"  +/
Сообщение от ребус on 04-Апр-12, 14:47 
Мне, например, нужна, интернет клиент-банком пользоваться.
Ответить | Правка | ^ к родителю #75 | Наверх | Cообщить модератору

97. "Долой обязательные заголовки комментариев!"  +/
Сообщение от взк on 09-Апр-12, 11:03 
Около полутора лет в бараузере отключены все плагины кроме флеша. В том числе java-плагин. Не испытал не единого неудобства.  
Ответить | Правка | ^ к родителю #75 | Наверх | Cообщить модератору

102. "proxmox"  +/
Сообщение от Adminach email on 15-Фев-15, 19:39 
как же рулить виртуалками без явы, али тут одни криворукие интернет спёрферы собрались?
Ответить | Правка | ^ к родителю #97 | Наверх | Cообщить модератору

90. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +1 +/
Сообщение от мазай on 05-Апр-12, 19:27 
Самое смешное в этом решении то, что среди тех, кто вовремя не обновляет java, очень большое количество тех, кто не обновляет и firefox, поэтому никогда не узнает о такой блокировке.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

96. "У 60% пользователей установлены уязвимые версии Java. Firefo..."  +/
Сообщение от user (??) on 09-Апр-12, 09:56 
> Самое смешное в этом решении то, что среди тех, кто вовремя не
> обновляет java, очень большое количество тех, кто не обновляет и firefox,
> поэтому никогда не узнает о такой блокировке.

Вот эт правильно :)

Ответить | Правка | ^ к родителю #90 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Слёрм
Inferno Solutions
Hosting by Ihor
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2019 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру